# coding:utf-8
from django.core.management.base import BaseCommand
from m3.actions import ControllerCache
import sys

from concentrator.change import StorageHelper
from concentrator.models import ChangeDeclaration, ChangeStatus
from concentrator.exceptions import ValidationError

class Command(BaseCommand):

    help = 'Deсline invalid declaration change requests from EPGU'

    def handle(self, *args, **options):
        """
        Отклоняем запросы с ЕПГУ на изменения заявления,
        если они содежрат невалидные данные
        """
        class EmptyObject(object):
            pass

        query = ChangeDeclaration.objects.filter(
            state=ChangeStatus.WAIT).order_by('create')

        rejected_count = 0
        for row in query:
            try:
                changes_rows = StorageHelper.get_change(row)
            except ValidationError:
                # Если с ЕПГУ были полученны невалидные данные,
                # удаляем запрос на изменение
                row.delete()
                rejected_count += 1
        sys.stdout.write(
            '{rejected_count} change requests were deleted\n'.format(
                rejected_count=rejected_count)
        )
