# -*- coding: utf-8 -*-

# Vendor Library
from celery.task import Task

# Project Library
from kinder.core.declaration.models import DeclarationSource
from .push_event.helpers import (
    ChangeInDeclarationPushEvent, QueueDirectionDecision)


class ChangeInDeclarationPushTask(Task):
    """Асинхронная задача по отправке данных

    при принятии или отклонении изменений в заявке
    """

    def run(self, *args, **kwargs):

        declaration = kwargs.get("declaration")
        decision = kwargs.get("decision", False)

        if declaration.source == DeclarationSource.EPGULIPETSK:
            ChangeInDeclarationPushEvent().make(
                declaration=declaration,
                decision=decision)


class DecisionAboutDeclarationDirectionInQueueTask(Task):
    """Асинхронная отправка решения

    о принятии или отклонении участия заявки в очереди
    """

    def run(self, *args, **kwargs):

        declaration = kwargs.get("declaration")
        decision = kwargs.get("decision", True)
        profile = kwargs.get("profile", True)
        comment = kwargs.get("comment")

        if declaration.source == DeclarationSource.EPGULIPETSK:
            QueueDirectionDecision().make(
                declaration=declaration,
                comment=comment,
                profile=profile,
                is_apply=decision)
